source ../environment.sh
if ! docker volume inspect ${MYSQL_DATA} >/dev/null 2>&1; then
   docker volume create ${MYSQL_DATA}
   echo "创建 ${MYSQL_DATA} 卷成功"
else
   echo "${MYSQL_DATA} 卷已存在"
fi


source ../environment.sh
if ! docker volume inspect ${REDIS_DATA} >/dev/null 2>&1; then
   docker volume create ${REDIS_DATA}
   echo "创建 ${REDIS_DATA} 卷成功"
else
   echo "${REDIS_DATA} 卷已存在"
fi


source ../environment.sh
if ! docker volume inspect ${SRS_DATA} >/dev/null 2>&1; then
   docker volume create ${SRS_DATA}
   echo "创建 ${SRS_DATA} 卷成功"
else
   echo "${SRS_DATA} 卷已存在"
fi 


source ../environment.sh
if ! docker volume inspect ${MINIO_DATA} >/dev/null 2>&1; then
   docker volume create ${MINIO_DATA}
   echo "创建 ${MINIO_DATA} 卷成功"
else
   echo "${MINIO_DATA} 卷已存在"
fi


source ../environment.sh
if ! docker volume inspect ${ES_DATA} >/dev/null 2>&1; then
   docker volume create ${ES_DATA}
   echo "创建 ${ES_DATA} 卷成功"
else
   echo "${ES_DATA} 卷已存在"    
fi

source ../environment.sh
if ! docker volume inspect ${ES_LOG_DATA} >/dev/null 2>&1; then
   docker volume create ${ES_LOG_DATA}
   echo "创建 ${ES_LOG_DATA} 卷成功"
else
   echo "${ES_LOG_DATA} 卷已存在"    
fi



source ../environment.sh
if ! docker volume inspect ${KAFKA_DATA} >/dev/null 2>&1; then
   docker volume create ${KAFKA_DATA}
   echo "创建 ${KAFKA_DATA} 卷成功"
else
   echo "${KAFKA_DATA} 卷已存在"    
fi

source ../environment.sh
if ! docker volume inspect ${STREAM_DATA} >/dev/null 2>&1; then
   docker volume create ${STREAM_DATA}
   echo "创建 ${STREAM_DATA} 卷成功"
else
   echo "${STREAM_DATA} 卷已存在"    
fi